# Be sure to restart your server when you modify this file.

# Your secret key is used for verifying the integrity of signed cookies.
# If you change this key, all old signed cookies will become invalid!

# Make sure the secret is at least 30 characters and all random,
# no regular words or you'll be exposed to dictionary attacks.
# You can use `rails secret` to generate a secure secret key.

# Make sure the secrets in this file are kept private
# if you're sharing your code publicly.

development:
  secret_key_base: 53f06544309f7c8a4d85147985dd7916f9c56bc3a2710f2b2bae56d5dff55d31902004180682966df9c45f0774d599ba4d5638806b6dd4f8f376655d0f277fb1
  sso_app_id: zaki_key
  sso_app_secret: zaki_secret
  sso_provider_url: 'http://um.modorg.devel'
  stateman_api_key: xxxxx
  stateman_url: 'http://stateman.modorg.devel'
  formsub_api_key: xxxxx
  formsub_url: 'http://formsub.modorg.devel'
  gmail_username: xxxxx
  gmail_password: xxxxx
  admin_email: asterdrak@gmail.com
  google_client_id: <%= ENV['GOOGLE_CLIENT_ID'] %>

test:
  secret_key_base: 4535b0f7f814794ec5da9f454ed58ce74391a8a4b93a97c23dff1f929b0abd7ecaeb14ed1f6552741739c74d384ed6af0f1f3ee5fb31e2d49781037aa3b25a96

# Do not keep production secrets in the repository,
# instead read values from the environment.
production:
  secret_key_base: <%= ENV["SECRET_KEY_BASE"] %>
  sso_app_id: <%= ENV["SSO_APP_ID"] %>
  sso_app_secret: <%= ENV["SSO_APP_SECRET"] %>
  sso_provider_url: <%= ENV["SSO_PROVIDER_URL"] %>
  stateman_api_key: <%= ENV["STATEMAN_API_KEY"] %>
  stateman_url: <%= ENV["STATEMAN_URL"] %>
  formsub_api_key: <%= ENV["FORMSUB_API_KEY"] %>
  formsub_url: <%= ENV["FORMSUB_URL"] %>
  gmail_username:  <%= ENV["GMAIL_USERNAME"] %>
  gmail_password:  <%= ENV["GMAIL_PASSWORD"] %>
  admin_email: <%= ENV["ADMIN_EMAIL"] %>
  google_client_id: <%= ENV["GOOGLE_CLIENT_ID"] %>
  rollbar_token: <%= ENV["ROLLBAR_ACCESS_TOKEN"] %>
